Subject: Re: FW: Strange problem with XEmacs ./configure
From: [email-masked] (Larry Hall RFK Partners Inc)

16 Jun 1998 21:43:22 -0700
Message-ID: <[email-masked]>
References: <BB19A85E3397D11190EA00805F57038777B8@PDX1NT02>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Jeff Paulsen <[email-masked]>,
        "[email-masked]'" <[email-masked]>,
        "[email-masked]'" <[email-masked]>

At 02:30 PM 6/15/98 -0700, Jeff Paulsen wrote:
>Stil haven't gotten any help on this... It's as if all of the variables
>in all of my shell scripts are always empty... and there's something
>else going on.
>
>I really have no idea what might be causing this, as it persists even
>after reinstalling CygWin.
>
>This is what I get:
>
>/usr/src/xemacs-21.0-b42$ ./configure
>: Usage error:
>  The directory specified with the `--srcdir' option,
>', doesn't seem to contain the XEmacs sources.  You should
>' script at the top of the XEmacs source
>  tree, or use the `--srcdir' option to specify the XEmacs source
>directory.
> --help' to show usage.
>
>The configure script should not produce output like this; this is the
>relevant section of it.
>
>   if test ! -f "$srcdir/src/lisp.h" -o \
>    ! -f "$srcdir/lisp/version.el" ; then
>     (echo "$progname: Usage error:"
>echo " " "The directory specified with the \`--srcdir' option,
>  \`$srcdir', doesn't seem to contain the XEmacs sources.  You should
>  either run the \`$progname' script at the top of the XEmacs source
>  tree, or use the \`--srcdir' option to specify the XEmacs source
>directory."
>echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
>
>As you can see, lines containing variables lose when passed to echo.
>
>I have reinstalled both the XEmacs source and Cygwin b19.2; here is a
>uname -a
>
>	/usr/src/xemacs-21.0-b42$ uname -a
>	CYGWIN32_95 JEFF-PAULSEN 4.0 19.2 i586 unknown
>
>Anyone have ANY idea what this is about?
>
>--
>Jeff Paulsen
>[email-masked] 

Do you have binary mounts?  Did you use tar/gzip rather than winzip?  If not,
remount binary, reinstall with tar/gzip, and configure will work.  Be 
prepared to remove carriage returns out of your other script files too 
otherwise they will start complaining.

See info on binary/text mounts in FAQ and the mailing list archives.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181                    http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".